org.apache.solr.core

## Interface SolrEventListener

- All Superinterfaces:
    NamedListInitializedPlugin
  All Known Implementing Classes:
    AbstractSolrEventListener, ExternalFileFieldReloader, QuerySenderListener

      public interface SolrEventListener
      extends NamedListInitializedPlugin

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `newSearcher(SolrIndexSearcher newSearcher, SolrIndexSearcher currentSearcher)` The searchers passed here are only guaranteed to be valid for the duration of this method call, so care should be taken not to spawn threads or asynchronous tasks with references to these searchers.
    `void` | `postCommit()`
    `void` | `postSoftCommit()`

    - ### Methods inherited from interface org.apache.solr.util.plugin.NamedListInitializedPlugin

      `init`

- - ### Method Detail

    - #### postCommit

          void postCommit()

    - #### postSoftCommit

          void postSoftCommit()

    - #### newSearcher

          void newSearcher(SolrIndexSearcher newSearcher,
                           SolrIndexSearcher currentSearcher)

      The searchers passed here are only guaranteed to be valid for the duration of this method call, so care should be taken not to spawn threads or asynchronous tasks with references to these searchers.

      Implementations should add the `EventParams.EVENT` parameter and set it to a value of either:

      - `EventParams.FIRST_SEARCHER` - First Searcher event
      - `EventParams.NEW_SEARCHER` - New Searcher event
      Sample:

              if (currentSearcher != null) {
                nlst.add(CommonParams.EVENT, CommonParams.NEW_SEARCHER);
              } else {
                nlst.add(CommonParams.EVENT, CommonParams.FIRST_SEARCHER);
              }

      Parameters:
        `newSearcher` - The new `SolrIndexSearcher` to use
        `currentSearcher` - The existing `SolrIndexSearcher`. null if this is a firstSearcher event.
      See Also:
        `AbstractSolrEventListener.addEventParms(org.apache.solr.search.SolrIndexSearcher, org.apache.solr.common.util.NamedList)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.